Skip to main content
POST
/
api
/
datasets
Create Dataset
curl --request POST \
  --url https://api.example.com/api/datasets \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "dataset_name": "<string>",
  "branch_name": "<string>",
  "dataset_type": "<string>",
  "dimension": "<string>",
  "image_specificity": "<string>",
  "off_topic_collective": true,
  "webhook_url": "<string>",
  "webhook_on_complete": true,
  "webhook_on_failure": true
}
'
{
  "dataset_id": "<string>",
  "dataset_name": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-API-Key
string | null

Cookies

antidote_session
string | null

Body

application/json
kind
enum<string>
required
Available options:
images,
text
dataset_name
string | null
branch_name
string | null
dataset_type
string | null
dimension
string | null
image_specificity
string | null
off_topic_collective
boolean | null
webhook_url
string | null
webhook_on_complete
boolean | null
webhook_on_failure
boolean | null

Response

Successful Response

dataset_id
string
required
dataset_name
string
required
kind
enum<string>
required
Available options:
images,
text